function  ei_out = get_ei(ei_guess,varargin)
% ei_out = get_ei(ei_guess, 'run_number')
%
% or to calculate an ei from a combined set of runs
%
% ei_out = get_ei(ei_guess, 'run_no1', 'run_no2',...)
%
% this function appropriately fills a cut down IXTrunfile (using a specific
% map for the monitors, if defined in the instrument setup script), 
% which in turn is used to determine ei
rf=IXTrunfile;
opt=IXToptions;
dso=IXTdata_source;

% options object to do nothing to data
opt.base=IXTbase('optbase',true);
opt.bgrd=false;
opt.m_axis=false;
opt.m_rebin=false;
opt.d_axis=false;
opt.d_rebin=false;
opt.ei=false;

[rawpath,pathlen]=make_path_from_par({varargin{:}});
%rawfile=strcat(parameters{2},parameters{3},'.RAW');
%    add new path info to dso
if(pathlen > 1)
    for i=1:pathlen
        dso=add_item(dso,rawpath{i},'rawfile_mult');
    end
else
    dso=add_item(dso,rawpath{1},'rawfile');
end

dso=add_item(dso,'DEFINITION','diff_inst');
dso=add_item(dso,'inst_nxs:::source.nxs','source');
dso=add_item(dso,'inst_nxs:::moderator.nxs','moderator');

monitor_map=ixf_global_var('data_source','get','monitor_map'); %
if ~isempty (monitor_map)
    dso=add_item(dso,monitor_map,'monmapfile');
end
% read monitor index file into a mask object and pass values to getei
% function
mon_specs=fileread(IXTmask,'inst_maps:::getei_m_index.dat');
% null input arguments are always required
m_rebin=[];
m_axis=IXTaxis;
ei=[];
% for the moment period is defined as 1, and would conceivably be the same
% for all periods in the same raw file
rf=populate_mon(rf,dso,int32(1),opt,ei,m_axis,m_rebin);

% give it raw indices for now
ei_out=getei(rf,ei_guess,mon_specs.mask_array);

